#pragma once
#include <functional>

namespace spin
{
    class IWatchdogTimer
    {
    public:
        virtual ~IWatchdogTimer() = default;

        virtual void kick() = 0;
        virtual void setUp(const long timeout_ms, const std::function<void()> onTimeout) = 0;
    };
} // namespace spin
